petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPMonitorLGTrueResidualNormCreate

Creates a line graph context for use with KSP to monitor convergence of true residual norms (as opposed to preconditioned residual norms).

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPMonitorLGTrueResidualNormCreate(MPI_Comm comm,const char host[],const char label[],int x,int y,int m,int n,PetscDrawLG *lgctx)

Collective on KSP Many br

### Input Parameters

| comm | - communicator context Many br
| host | - the X display to open, or null for the local machine Many br
| label | - the title to put in the title bar Many br
| x, y | - the screen coordinates of the upper left coordinate of Many brthe window Many br
| m, n | - the screen width and height in pixels Many br

### Output Parameter

lgctx -the drawing context Many br

### Options Database Key

-ksp_monitor_lg_true_residualnorm -Sets true line graph monitor Many br

### Notes

Use PetscDrawLGDestroy() to destroy this line graph. Many br

Many br

### Keywords

KSP, monitor, line graph, residual, create, true

### See Also

KSPMonitorSet(), KSPMonitorDefault(), KSPMonitorLGResidualNormCreate()

Level:intermediate
Location:src/ksp/ksp/interface/xmon.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages